Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Interface Calendar

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AnnualCalendar, BaseCalendar, CalendarBundle, HolidayCalendar, MonthlyCalendar, WeeklyCalendar

public interface Calendar
extends Serializable

An interface to be implemented by objects that define spaces of time that should be included or excluded from a ``Trigger``'s normal 'firing' schedule.

Author:
  James House, Juergen Donnerstag

Field Summary
`static int` | `MONTH`

Method Summary
`Calendar` | `getBaseCalendar()` Get the base calendar.
`String` | `getDescription()` Return the description given to the `Calendar` instance by its creator (if any).
`long` | `getNextIncludedTime(long timeStamp)` Determine the next time (in milliseconds) that is 'included' by the Calendar after the given time.
`boolean` | `isTimeIncluded(long timeStamp)` Determine whether the given time (in milliseconds) is 'included' by the Calendar.
`void` | `setBaseCalendar(Calendar baseCalendar)` Set a new base calendar or remove the existing one.
`void` | `setDescription(String description)` Set a description for the `Calendar` instance - may be useful for remembering/displaying the purpose of the calendar, though the description has no meaning to Quartz.

Field Detail

### MONTH

    public static final int MONTH

See Also:
  Constant Field Values

Method Detail

### setBaseCalendar

    public void setBaseCalendar(Calendar baseCalendar)

  Set a new base calendar or remove the existing one.

### getBaseCalendar

    public Calendar getBaseCalendar()

  Get the base calendar. Will be null, if not set.

### isTimeIncluded

    public boolean isTimeIncluded(long timeStamp)

  Determine whether the given time (in milliseconds) is 'included' by the Calendar.

### getNextIncludedTime

    public long getNextIncludedTime(long timeStamp)

  Determine the next time (in milliseconds) that is 'included' by the Calendar after the given time.

### getDescription

    public String getDescription()

  Return the description given to the `Calendar` instance by its creator (if any).

  Returns:
    null if no description was set.

### setDescription

    public void setDescription(String description)

  Set a description for the `Calendar` instance - may be useful for remembering/displaying the purpose of the calendar, though the description has no meaning to Quartz.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD